mp: remove use of deprecated old eval API